<?php
function wyswietl() {		
		//---- Pliki uzytkownika na serwerze ------------
		$dir = 'upload/'.$_SESSION['nazwa'].'/pliki/';
		$i=0;
		
		foreach (new DirectoryIterator($dir) as $fileInfo) {
		if ($fileInfo->isFile()) {
			$tab_upload[$i][0]=$fileInfo->getFilename();
			$tab_upload[$i][1]=round(($fileInfo->getSize()/1048576), 2);
			$i++;
		};
		}
		if ($i>0) $lup = count($tab_upload);
			else $lup=0;
		
		$ti = '<p id="lab4">Liczba plików na serwerze: '.$lup.'</p>';
		$ti= $ti.'<select  id="strona_info_pliki">';
				if ($lup>0) {
					for ($i=0; $i<$lup; $i++) {
						$ti = $ti.'<option value="'.$tab_upload[$i][0].'">'.$tab_upload[$i][0].' - '.$tab_upload[$i][1].' MiB</option>';
					}
				} else {
					//$ti = $ti.'<option value="bp">Brak plików</option>';
				}
				$ti = $ti.'</select><br />';
		return $ti;
		unset($ti);
		unset($tab_upload);	
	}
	
	//--------------------------------------------
	function wyswietl_foto($t) {
		$tab[0] = $t;
		
		//---- Pliki uzytkownika na serwerze ------------
		$dir = 'upload/'.$_SESSION['nazwa'].'/foto/';
		$i=0;
		$troz = [];
		foreach (new DirectoryIterator($dir) as $fileInfo) {
			$plik = $fileInfo->getFilename();
			if ($fileInfo->isFile()) {
				$tab_upload[$i][0]=$plik;
				$tab_upload[$i][1]=round(($fileInfo->getSize()/1024), 2);
				$tr = getimagesize($dir.$plik);
				$troz[$i][0]=$tr[0];
				$troz[$i][1]=$tr[1];
				$i++;
			};
		}
		if ($i>0) $lup = count($tab_upload);
			else $lup=0;
		
		$ti = '<p id="lab4">Liczba zdjęć na serwerze: '.$lup.'</p>';
		$ti= $ti.'<select  id="strona_info_foto">';
			if ($lup>0) {
				for ($i=0; $i<$lup; $i++) {
						$ti = $ti.'<option value="'.$tab_upload[$i][0].'">'.$tab_upload[$i][0].' - '.$tab_upload[$i][1].' KiB</option>';
				}
			} else {
					$ti = $ti.'<option value="fot0">Brak zdjęć</option>';
				}
		$ti = $ti.'</select><br />';
		
		$tj = '<p id="strona_kt">Wybierz zdjęcie</p>';
		$tj = $tj.'<select  id="strona_info_img">';
		$tj = $tj.'<option value="fot0">Brak fotografii</option>';
				if ($lup>0) {
					for ($i=0; $i<$lup; $i++) {
						$d = str_pad($troz[$i][0], 4, 0, STR_PAD_LEFT);
						$tj = $tj.'<option value="'.$d.$tab_upload[$i][0].'">'.$tab_upload[$i][0].' ('.$troz[$i][0].'x'.$troz[$i][1].')</option>';
					}
				}
		$tj = $tj.'</select><br />';
		
		$tab[1] = $ti;
		$tab[2] = $tj;
		$tab[3] = $lup;
		echo json_encode($tab);
		unset($tab);
		unset($tj);
	}
	
?>